<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/top_layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    tools:context=".activity.VideoActivity">

    <androidx.media3.ui.PlayerView
        android:id="@+id/player_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="center"
        app:resize_mode="zoom"
        app:show_buffering="never"
        app:show_shuffle_button="false"
        app:show_subtitle_button="false"
        app:show_vr_button="false"
        app:use_controller="false" />

    <FrameLayout
        android:id="@+id/layout_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginTop="37dp"
        android:background="@drawable/bg_shape_favorite"
        android:padding="11dp">

        <ImageView
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:src="@drawable/im_back" />
    </FrameLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="120dp"
        android:layout_alignParentBottom="true"
        android:layout_marginStart="20dp"
        android:layout_marginEnd="20dp"
        android:layout_marginBottom="10dp"
        android:background="@drawable/bg_apply"
        android:paddingStart="10dp"
        android:paddingTop="8dp"
        android:paddingEnd="10dp">

        <com.live.mylivewallpaper.help.MyTextView
            android:id="@+id/tv_describe"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="5dp"
            android:text="Eternal hues dance in the void's embrace 🎗️"
            android:textColor="@color/white"
            android:textSize="14sp"
            app:apply_font="true"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:gravity="center"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_describe">

            <FrameLayout
                android:id="@+id/layout_set"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_shape_apply"
                android:padding="6dp">

                <com.live.mylivewallpaper.help.MyTextView
                    android:id="@+id/i_favorite"
                    android:layout_width="120dp"
                    android:layout_height="25dp"
                    android:gravity="center"
                    android:text="@string/set"
                    android:textSize="17sp"
                    app:apply_font="true" />
            </FrameLayout>

            <FrameLayout
                android:id="@+id/layout_favorite"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:background="@drawable/bg_shape_favorite"
                android:padding="11dp">

                <ImageView
                    android:id="@+id/im_favorite"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:src="@drawable/selector_favorite" />
            </FrameLayout>
        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <RelativeLayout
        android:id="@+id/relative_loading"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/color_white_80"
        android:visibility="gone">

        <ProgressBar
            android:id="@+id/progress"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="200dp"
            android:layout_height="6dp"
            android:layout_centerInParent="true"
            android:max="100"
            android:progress="0"
            android:progressDrawable="@drawable/progress_bar_horizontal" />

    </RelativeLayout>


</RelativeLayout>